#ifndef EFL_PLAYER_IMPL_HH
#define EFL_PLAYER_IMPL_HH

#include "efl_player.eo.hh"

namespace efl { 
inline ::efl::eolian::return_traits<bool>::type Player::playable_get() const
{
   Eina_Bool __return_value =  ::efl_player_playable_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Player::play_get() const
{
   Eina_Bool __return_value =  ::efl_player_play_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::play_set( ::efl::eolian::in_traits<bool>::type play) const
{
    ::efl_player_play_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(play));
}
inline ::efl::eolian::return_traits<double>::type Player::pos_get() const
{
   double __return_value =  ::efl_player_pos_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::pos_set( ::efl::eolian::in_traits<double>::type sec) const
{
    ::efl_player_pos_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(sec));
}
inline ::efl::eolian::return_traits<double>::type Player::progress_get() const
{
   double __return_value =  ::efl_player_progress_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<double>::type Player::play_speed_get() const
{
   double __return_value =  ::efl_player_play_speed_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::play_speed_set( ::efl::eolian::in_traits<double>::type speed) const
{
    ::efl_player_play_speed_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(speed));
}
inline ::efl::eolian::return_traits<double>::type Player::volume_get() const
{
   double __return_value =  ::efl_player_volume_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::volume_set( ::efl::eolian::in_traits<double>::type volume) const
{
    ::efl_player_volume_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(volume));
}
inline ::efl::eolian::return_traits<bool>::type Player::mute_get() const
{
   Eina_Bool __return_value =  ::efl_player_mute_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::mute_set( ::efl::eolian::in_traits<bool>::type mute) const
{
    ::efl_player_mute_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(mute));
}
inline ::efl::eolian::return_traits<double>::type Player::length_get() const
{
   double __return_value =  ::efl_player_length_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Player::seekable_get() const
{
   Eina_Bool __return_value =  ::efl_player_seekable_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::start() const
{
    ::efl_player_start(_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Player::stop() const
{
    ::efl_player_stop(_eo_ptr());
}
} 
namespace eo_cxx {
namespace efl { 
inline ::efl::eolian::return_traits<bool>::type Player::playable_get() const
{
   Eina_Bool __return_value =  ::efl_player_playable_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Player::play_get() const
{
   Eina_Bool __return_value =  ::efl_player_play_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::play_set( ::efl::eolian::in_traits<bool>::type play) const
{
    ::efl_player_play_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(play));
}
inline ::efl::eolian::return_traits<double>::type Player::pos_get() const
{
   double __return_value =  ::efl_player_pos_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::pos_set( ::efl::eolian::in_traits<double>::type sec) const
{
    ::efl_player_pos_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(sec));
}
inline ::efl::eolian::return_traits<double>::type Player::progress_get() const
{
   double __return_value =  ::efl_player_progress_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<double>::type Player::play_speed_get() const
{
   double __return_value =  ::efl_player_play_speed_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::play_speed_set( ::efl::eolian::in_traits<double>::type speed) const
{
    ::efl_player_play_speed_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(speed));
}
inline ::efl::eolian::return_traits<double>::type Player::volume_get() const
{
   double __return_value =  ::efl_player_volume_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::volume_set( ::efl::eolian::in_traits<double>::type volume) const
{
    ::efl_player_volume_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(volume));
}
inline ::efl::eolian::return_traits<bool>::type Player::mute_get() const
{
   Eina_Bool __return_value =  ::efl_player_mute_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::mute_set( ::efl::eolian::in_traits<bool>::type mute) const
{
    ::efl_player_mute_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(mute));
}
inline ::efl::eolian::return_traits<double>::type Player::length_get() const
{
   double __return_value =  ::efl_player_length_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Player::seekable_get() const
{
   Eina_Bool __return_value =  ::efl_player_seekable_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::start() const
{
    ::efl_player_start(_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Player::stop() const
{
    ::efl_player_stop(_eo_ptr());
}
inline efl::Player::operator ::efl::Player() const { return *static_cast< ::efl::Player const*>(static_cast<void const*>(this)); }
inline efl::Player::operator ::efl::Player&() { return *static_cast< ::efl::Player*>(static_cast<void*>(this)); }
inline efl::Player::operator ::efl::Player const&() const { return *static_cast< ::efl::Player const*>(static_cast<void const*>(this)); }
} }
#endif
